QuantLib: OptionletStripper2 Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OptionletStripper2 Class Reference

`#include <ql/termstructures/volatility/optionlet/optionletstripper2.hpp>`

Inheritance diagram for OptionletStripper2:
[legend]

## Public Member Functions
| OptionletStripper2 (const boost::shared_ptr< OptionletStripper1 > &optionletStripper1, const Handle< CapFloorTermVolCurve > &atmCapFloorTermVolCurve)
std::vector< Rate > | atmCapFloorStrikes () const
std::vector< Real > | atmCapFloorPrices () const
std::vector< Volatility > | spreadsVol () const
LazyObject interface
void | performCalculations () const
Public Member Functions inherited from OptionletStripper
const std::vector< Period > & | optionletFixingTenors () const
const std::vector< Date > & | optionletPaymentDates () const
const std::vector< Time > & | optionletAccrualPeriods () const
boost::shared_ptr< CapFloorTermVolSurface > | termVolSurface () const
boost::shared_ptr< IborIndex > | iborIndex () const
Real | displacement () const
VolatilityType | volatilityType () const
const std::vector< Rate > & | optionletStrikes (Size i) const
const std::vector< Volatility > & | optionletVolatilities (Size i) const
const std::vector< Date > & | optionletFixingDates () const
const std::vector< Time > & | optionletFixingTimes () const
Size | optionletMaturities () const
const std::vector< Rate > & | atmOptionletRates () const
DayCounter | dayCounter () const
Calendar | calendar () const
Natural | settlementDays () const
BusinessDayConvention | businessDayConvention () const
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Member Functions inherited from OptionletStripper
| OptionletStripper (const boost::shared_ptr< CapFloorTermVolSurface > &, const boost::shared_ptr< IborIndex > &iborIndex_, const Handle< YieldTermStructure > &discount=Handle< YieldTermStructure >(), VolatilityType type=ShiftedLognormal, Real displacement=0.0)
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
Protected Attributes inherited from OptionletStripper
boost::shared_ptr< CapFloorTermVolSurface > | termVolSurface_
boost::shared_ptr< IborIndex > | iborIndex_
Handle< YieldTermStructure > | discount_
Size | nStrikes_
Size | nOptionletTenors_
std::vector< std::vector< Rate > > | optionletStrikes_
std::vector< std::vector< Volatility > > | optionletVolatilities_
std::vector< Time > | optionletTimes_
std::vector< Date > | optionletDates_
std::vector< Period > | optionletTenors_
std::vector< Rate > | atmOptionletRate_
std::vector< Date > | optionletPaymentDates_
std::vector< Time > | optionletAccrualPeriods_
std::vector< Period > | capFloorLengths_
VolatilityType | volatilityType_
Real | displacement_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_

## Detailed Description

Helper class to extend an OptionletStripper1 object stripping additional optionlet (i.e. caplet/floorlet) volatilities (a.k.a. forward-forward volatilities) from the (cap/floor) At-The-Money term volatilities of a CapFloorTermVolCurve.

## Member Function Documentation

void performCalculations | ( |  | ) | const
| virtual

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.